local mod = RW:Boss("Magmadar", "Molten Core")
local L

mod.BossIcon = [[Interface\Icons\achievement_boss_ragnaros]]

---------------------------
-- Variables

-- Fear
local tFearCD, wFear

-- Frenzy
local tFrenzyDur, wFrenzy

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(11982)
	self:SetWin(11982)
	
	-- Fear
	tFearCD		= self:CDTimer(30, 19408)
	wFear		= self:CastWarning(19408)
	
	-- Frenzy
	tFrenzyDur	= self:DurTimer(8, 19451)
	wFrenzy 	= self:CastWarning(19451)
end

---------------------------
-- Locals

-- API Functions

function mod:OnEngage(trigger)
	self:Track("Fear", 19408)
	self:Track("Frenzy", 19451)
end

function mod:Fear(event, args)
	if event == "SPELL_CAST_SUCCESS" then
		tFearCD:Start()
		wFear:Show()
	end
end

function mod:Frenzy(event, args)
	if event == "SPELL_AURA_APPLIED" then
		wFrenzy:Show()
		tFrenzyDur:Start()
	
	elseif event == "SPELL_AURA_REMOVED" then
		tFrenzyDur:Stop()
	end
end
